Bug 77942 - Package Manager Doesn't remove all upgraded packages on uninstall.
Package Manager Doesn't remove all upgraded packages on uninstall.
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2002-11-15 13:21 EST by Matt Schillinger
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-31 02:39:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Schillinger 2002-11-15 13:21:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I was having problems with mozilla, (which was due to corruption in a user's
.mozilla directory). Before the true problem was found, I went to the Package
Manager, and removed Mozilla and it's dependency items (mozilla-mail,
mozilla-psm). (NOTE: mozilla had been upgraded to 1.0.1-26 via rhn) At this
point, the plan was to add mozilla back in, in the case that something in the
installation had previously been corrupted. When attempting to add Mozilla back
in, I found that there were extra packages (mozilla-nss and mozilla-nspr) that
were still in the system (at revision 1.0.1-26). This caused the dependency of
the cdrom version of mozilla (1.0.1-24) install to fail because mozilla-nss and
mozilla-nspr version 1.0.1-24 were not on the system. I'm sure that it is an
honest mistake not having hooks to pull out the mozilla-nss and mozilla-nspr,
but such issues are crucial for making the package manager work in a 'User
Friendly' manner, as seems to be the goal behind RH8. I am happy with the
product, and will continue to use it. I have used Linux for many years, and
appreciate the hard work that RedHat has done to further the linux community.  I
know that the package manager is not finished, but I do think that the
development is being done in the correct order. (user friendly first, high
end/complex/aftermarket package management 2nd.)



Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:

Please Enhance package management to include apps that are not included in the
distribution. I understand that QA is important, but there are many cutting edge
users that could be persuaded to use RH if there was only a streamlined system
to retrieve nonDistro packages.

I also think it would be a great improvement to the package manager to see a
kernel module install feature for rhn.  Many users complain about recompile
problems on redhat systems when they use a vanilla kernel. by adding kernel
module install options (such as mozilla), some users could have the additional
functionality they desire without  having to recompile, and potentially break
aspects of kernel support.
Comment 1 Jeremy Katz 2002-12-31 02:39:57 EST
These packages correctly don't depend on mozilla (they're libraries used by
programs other than mozilla, eg, evolution 1.0.x links against mozilla-nss). 
The work around will be that you will be to add an individual package selection
view so that you can remove specific packages, but that doesn't relate exactly
to this situation and the policy of redhat-config-packages for the forseeable
future is going to be to not offer to downgrade packages.

Note You need to log in before you can comment on or make changes to this bug.